--- old/usr/src/uts/common/io/ib/clients/rds/rdsib_buf.c	2015-08-19 07:25:05.390675473 -0400
+++ new/usr/src/uts/common/io/ib/clients/rds/rdsib_buf.c	2015-08-19 07:25:05.395969887 -0400
@@ -133,7 +133,7 @@
 	    "pending buffers: %d", rds_dpool.pool_nbusy);
 	while (rds_dpool.pool_nbusy != 0) {
 		mutex_exit(&rds_dpool.pool_lock);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&rds_dpool.pool_lock);
 	}
 
@@ -815,7 +815,7 @@
 		while (recvqp->qp_level != 0) {
 			/* wait one second and try again */
 			mutex_exit(&recvqp->qp_lock);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&recvqp->qp_lock);
 		}
 	} else if (recvqp->qp_level != 0) {
@@ -858,13 +858,13 @@
 		while (spool->pool_nbusy != 0) {
 			if (rds_no_interrupts) {
 				/* wait one second and try again */
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				rds_poll_send_completions(ep->ep_sendcq, ep,
 				    B_TRUE);
 			} else {
 				/* wait one second and try again */
 				mutex_exit(&spool->pool_lock);
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				mutex_enter(&spool->pool_lock);
 			}
 		}
@@ -887,7 +887,7 @@
 				    "EP(%p) BP(0x%p/0x%p) last "
 				    "sent/acknowledged", ep, bp, ackbp);
 				mutex_exit(&spool->pool_lock);
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				mutex_enter(&spool->pool_lock);
 
 				bp = spool->pool_tailp;
@@ -914,13 +914,13 @@
 		while (ep->ep_rdmacnt != 0) {
 			if (rds_no_interrupts) {
 				/* wait one second and try again */
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				rds_poll_send_completions(ep->ep_sendcq, ep,
 				    B_FALSE);
 			} else {
 				/* wait one second and try again */
 				mutex_exit(&ep->ep_lock);
-				delay(drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				mutex_enter(&ep->ep_lock);
 			}
 		}
